knewstuff (5.116.0-2ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.
    - Disable tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 16:42:27 +0100

knewstuff (5.116.0-2) unstable; urgency=medium

  [ Santiago Vila ]
  * Disable flaky test. Closes: #1031060.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Apr 2025 00:41:36 +0200

knewstuff (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:43:16 +0200

knewstuff (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:43:47 +0100

knewstuff (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

  [ Aurélien COUDERC ]
  * Add/update Nicolas Fella’s key in upstream keyring.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:16:45 +0200

knewstuff (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015456).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:07 +0100

knewstuff (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:34:24 +0000

knewstuff (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:09:57 +0000

knewstuff (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 08:02:05 -0700

knewstuff (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:24:18 -0700

knewstuff (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:57:50 -0700

knewstuff (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:44:23 +0000

knewstuff (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:49:17 +0000

knewstuff (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:58:59 +0000

knewstuff (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:08:51 +0100

knewstuff (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:50:11 +0100

knewstuff (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:21:23 +0100

knewstuff (5.107.0-2) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Fix FTCFBS: Always build the designer plugin, thx to Helmut Grohne
    (Closes: #1057297).

 -- Patrick Franz <deltaone@debian.org>  Wed, 06 Dec 2023 18:56:16 +0100

knewstuff (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:45 +0200

knewstuff (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:06:27 +0100

knewstuff (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:47:11 +0100

knewstuff (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:02 +0100

knewstuff (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:17:26 +0000

knewstuff (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:31 +0100

knewstuff (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)
  * Update installed files
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:44:18 +0000

knewstuff (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update symbols from build for 5.102.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:10 +0100

knewstuff (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:57:53 +0000

knewstuff (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:35 +0100

knewstuff (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:21:28 +0000

knewstuff (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:05 +0100

knewstuff (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:15:50 +0000

knewstuff (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:00:07 +0000

knewstuff (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:12:46 +0200

knewstuff (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:32:54 +0100

knewstuff (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:40 +0200

knewstuff (5.97.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Aug 2022 15:22:27 +0100

knewstuff (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:13 +0100

knewstuff (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Drop patch upstream_b634b65d_fix-dialog-not-being-usable-in-
    konsole.patch, applied upstream.
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.96.0.
  * Refresh lintian overrides.
  * Add patch for not setting the executable bit on installed desktop files.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:09 +0200

knewstuff (5.96.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols, marking them as optional=gccinternal

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 29 Jul 2022 13:38:46 +0100

knewstuff (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update install files.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:30:59 +0100

knewstuff (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:56:41 +0100

knewstuff (5.94.0-2) unstable; urgency=medium

  * Backport upstream commit to fix broken get new themes dialog in Konsole.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Jun 2022 18:10:45 +0200

knewstuff (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

knewstuff (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Update symbols.
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:20:27 +0100

knewstuff (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove inactive Uploaders.
  * Fix libkf5newstuffwidgets5.symbols to be managed by pkgkde-symbolshelper.

 -- Pino Toscano <pino@debian.org>  Sun, 15 May 2022 08:23:00 +0200

knewstuff (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Drop knewstuff backend related patches, applied upstream.
  * Update symbols from build for 5.93.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

knewstuff (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:23:51 +0100

knewstuff (5.92.0-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.92.0)

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:01 +0000

knewstuff (5.91.0a-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 18:59:09 +0000

knewstuff (5.90.0-2) unstable; urgency=medium

  * Team upload.
  * Run again the test suite at build time, as it should work fine.
  * Mark the xauth, and xvfb build dependencies as !nocheck, as they are needed
    only during dh_auto_test.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Drop patch disable-flaky-test, as it should work fine now.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Feb 2022 10:32:42 +0100

knewstuff (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Source ships new library libKF5NewStuffWidgets.so.5.
  * Update symbols from build for 5.90.0.
  * Update copyright information.
  * Backport upstream patches to fix requests overload of clients to the KDE
    New Stuff server.
  * Add build dependencies on kirigami2-dev and libkf5syndication-dev, update
    symbols accordingly.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

knewstuff (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * New library package: libkf5newstuffwidgets5
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:11 +0000

knewstuff (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:03 +0000

knewstuff (5.88.0-1ubuntu3) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:11:50 +0000

knewstuff (5.88.0-1ubuntu2) jammy; urgency=medium

  * Restore build depend on libkf5syndication-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 10:35:04 +0000

knewstuff (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not apply Debian patch for flaky test. We do not run this at
      build time or in autopkgtests.
    - Keep our symbols file.
    - Add lintian overrides for lintian complaining that *.desktop files
      are not elfs or scripts.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 10:25:15 +0000

knewstuff (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * Drop upstream patches.
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

knewstuff (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:19:40 +0000

knewstuff (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)
  * Remove upstream-f687c5ab-include-useragent-on-kns-request.patch
  * Remove upstream_fix_crash_in_downloadwidget.patch
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:06:38 +0000

knewstuff (5.86.0-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix: include useragent on kns request.

 -- Norbert Preining <norbert@preining.info>  Fri, 01 Oct 2021 23:40:58 +0900

knewstuff (5.86.0-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix for crashes in DownloadWidget.

 -- Norbert Preining <norbert@preining.info>  Tue, 28 Sep 2021 04:45:50 +0900

knewstuff (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:58:14 +0900

knewstuff (5.86.0-0ubuntu3) impish; urgency=medium

  * Add upstream-f687c5ab-include-useragent-on-kns-request.patch as requested
    by KDE

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 03 Oct 2021 17:00:54 +0100

knewstuff (5.86.0-0ubuntu2) impish; urgency=medium

  * Add upstream_fix_crash_in_downloadwidget.patch

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 28 Sep 2021 17:44:36 +0100

knewstuff (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:48:50 +0100

knewstuff (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

knewstuff (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).
  * Disable built time tests.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 09:57:48 +0900

knewstuff (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:28:08 +0100

knewstuff (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:01:06 +0100

knewstuff (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:07 +0900

knewstuff (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

knewstuff (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)
  * Update symbols from build logs.
  * New build dep on libkf5syndication-dev

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:18:04 +0100

knewstuff (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:16:19 +0900

knewstuff (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)
  * Add lintian overrides for lintian complaining that *.desktop files
    are not elfs or scripts

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:57:51 +0100

knewstuff (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.
  * Disable flaky test.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 19:06:41 +0900

knewstuff (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:30:14 +0100

knewstuff (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

knewstuff (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:08:41 +0000

knewstuff (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Update symbols.
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

knewstuff (5.79.0-0ubuntu2) hirsute; urgency=medium

  * Make build time tests non fatal while investigating s390x only fail.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 19:06:07 +0000

knewstuff (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:22:48 +0000

knewstuff (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files, updated for 5.78.0

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Jan 2021 10:44:35 +0000

knewstuff (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 21:05:07 +0900

knewstuff (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.
  * Drop upstream included patch.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:43 +0900

knewstuff (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Drop upstream-243ea6155b28-add-dptr-to-cache.patch, included in this
    release.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:57:15 +0000

knewstuff (5.77.0-4) unstable; urgency=medium

  * Team upload.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages
  * Explicitly add the gettext build dependency.
  * Drop breaks/replaces for versions older than Stretch.
  * Run the test suite at build time, since it seems to work fine:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run
    - disable the fixfilepath reproducibility feature, as it breaks
      QFINDTESTDATA
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jan 2021 10:41:48 +0100

knewstuff (5.77.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 22:34:26 +0000

knewstuff (5.77.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:35 +0900

knewstuff (5.77.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream commit to add dptr to Cache
    (d/patches/upstream-243ea6155b28-add-dptr-to-cache.patch)

 -- Norbert Preining <norbert@preining.info>  Sun, 20 Dec 2020 09:05:03 +0900

knewstuff (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:54 +0900

knewstuff (5.77.0-0ubuntu2) hirsute; urgency=medium

  * Add upstream_fix_ksncore_crash.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 20 Dec 2020 06:46:20 +0000

knewstuff (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:11:06 +0000

knewstuff (5.76.0a-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * Update symbols
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:23:38 +0000

knewstuff (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:18:31 +0200

knewstuff (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5newstuff-data.
  * Add knewstuff-dialog package.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:23 +0200

knewstuff (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:00:04 +0100

knewstuff (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Drop included upstream_5.73-kns-fixes.patch
  * New package knewstuff-dialog for standalone download tool.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:59:09 +0100

knewstuff (5.72.0-0ubuntu3) groovy; urgency=medium

  * Disable build-needed testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Aug 2020 15:05:50 +0100

knewstuff (5.72.0-0ubuntu2) groovy; urgency=medium

  * Add upstream_5.73-kns-fixes.patch backporting various KNewstuff
    fixes due to land in 5.73.0.

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Jul 2020 16:46:59 +0100

knewstuff (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:33:46 +0100

knewstuff (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * New build depend on libkf5package-dev.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:07:21 +0100

knewstuff (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields,
    - debhelper-compat = 12 for backports.
    - Keep Ubuntu tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Jun 2020 18:27:43 +0100

knewstuff (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update symbols from build for 5.70.0.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:59 +0200

knewstuff (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:32:59 +0100

knewstuff (5.69.0-3) experimental; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 01 May 2020 16:02:43 +0200

knewstuff (5.69.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 01 May 2020 12:26:00 +0200

knewstuff (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Update symbols from build for 5.69.0.
  * Cleanup Build-Depends.
  * Remove not needed injection of linker flags.
  * Enable hardening all.
  * Cleanup copyright file.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:57:04 +0200

knewstuff (5.68.0-0ubuntu2) focal; urgency=medium

  * Update symbols for riscv64.

 -- William Grant <wgrant@ubuntu.com>  Mon, 06 Apr 2020 20:29:24 +1000

knewstuff (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:58:30 +0000

knewstuff (5.67.0a-0ubuntu2) focal; urgency=medium

  * Add upstream patch request by KDE developers to fix downloads.
    https://bugs.kde.org/417510
    - d/p: upstream_fix-kde-bug-417510.patch

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Mar 2020 07:01:44 +0000

knewstuff (5.67.0a-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)
  * Update symbols from build logs.
  * Bump tarball version due to upstream respin.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:51:18 +0000

knewstuff (5.66.0-0ubuntu3) focal; urgency=medium

  * Switch qml-module-org-kde-newstuff dependency to libkf5newstuff5.
  * Mark qml-module-org-kde-newstuff Multi-Arch: same

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Jan 2020 22:14:28 +0000

knewstuff (5.66.0-0ubuntu2) focal; urgency=medium

  * Fix inter-package deps and make sure qml module is always installed.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Jan 2020 17:39:22 +0000

knewstuff (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:20:08 +0000

knewstuff (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:01:17 +0000

knewstuff (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * Update symbols from build logs.
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:25:26 +0000

knewstuff (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:07 -0700

knewstuff (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:07:50 +0100

knewstuff (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 930943).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Update symbols file
  * Ignore reprotest build path variations
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

  [ Rik Mills ]
  * update install files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:45 +0100

knewstuff (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:43:33 +0100

knewstuff (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:17:02 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libkf5newstuffcore5`.
